Skip to main content
GET
/
payment_methods
/
{id}
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const paymentMethod = await client.paymentMethods.retrieve('payt_xxxxxxxxxxxxx');

console.log(paymentMethod);
{
  "typename": "<string>",
  "id": "payt_xxxxxxxxxxxxx",
  "created_at": "2023-12-01T05:00:00.401Z",
  "payment_method_type": "acss_debit"
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the payment method.

Example:

"payt_xxxxxxxxxxxxx"

Query Parameters

company_id
string | null

The unique identifier of the company. Provide either this or member_id, not both.

Example:

"biz_xxxxxxxxxxxxxx"

member_id
string | null

The unique identifier of the member. Provide either this or company_id, not both.

Example:

"mber_xxxxxxxxxxxxx"

Response

A successful response

A saved payment method with no type-specific details available.

typename
string
required

The typename of this object

Allowed value: "BasePaymentMethod"
id
string
required

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

Example:

"payt_xxxxxxxxxxxxx"

created_at
string<date-time>
required

The time of the event in ISO 8601 UTC format with millisecond precision

Example:

"2023-12-01T05:00:00.401Z"

payment_method_type
enum<string>
required

The type of payment instrument stored on file (e.g., card, us_bank_account, cashapp, ideal, sepa_debit).

Available options:
acss_debit,
affirm,
afterpay_clearpay,
alipay,
alma,
amazon_pay,
apple,
apple_pay,
au_becs_debit,
bacs_debit,
bancontact,
billie,
bizum,
blik,
boleto,
capchase_pay,
card,
cashapp,
claritypay,
coinbase,
crypto,
custom,
customer_balance,
demo_pay,
eps,
eu_bank_transfer,
fpx,
giropay,
google_pay,
gopay,
grabpay,
id_bank_transfer,
ideal,
interac,
kakao_pay,
klarna,
konbini,
kr_card,
kr_market,
kriya,
link,
mb_way,
mobilepay,
mondu,
multibanco,
naver_pay,
netbanking,
ng_bank,
ng_bank_transfer,
ng_card,
ng_market,
ng_ussd,
ng_wallet,
nz_bank_account,
oxxo,
p24,
pay_by_bank,
payco,
paynow,
paypal,
paypay,
payto,
pix,
platform_balance,
promptpay,
qris,
rechnung,
revolut_pay,
samsung_pay,
satispay,
scalapay,
sepa_debit,
sequra,
sezzle,
shop_pay,
shopeepay,
sofort,
south_korea_market,
splitit,
sunbit,
swish,
tamara,
twint,
upi,
us_bank_account,
venmo,
vipps,
wechat_pay,
zip,
unknown